import request from "@/utils/request";

// 查询验收前期-项目信息-井信息列表
export function listJxx(query) {
  return request({
    url: "/ysqqXmxxJxx/jxx/list",
    method: "get",
    params: query,
  });
}

// 查询验收前期-项目信息-井信息详细
export function getJxx(id) {
  return request({
    url: "/ysqqXmxxJxx/jxx/" + id,
    method: "get",
  });
}

// 新增验收前期-项目信息-井信息
export function addJxx(data) {
  return request({
    url: "/ysqqXmxxJxx/jxx",
    method: "post",
    data: data,
  });
}

// 修改验收前期-项目信息-井信息
export function updateJxx(data) {
  return request({
    url: "/ysqqXmxxJxx/jxx",
    method: "put",
    data: data,
  });
}

// 删除验收前期-项目信息-井信息
export function delJxx(id) {
  return request({
    url: "/ysqqXmxxJxx/jxx/" + id,
    method: "delete",
  });
}
